Allocators
Utilities » Memory
Collaboration diagram for Allocators:

## Files

file | scoped_allocator

## Classes

struct | __gnu_cxx::__alloc_traits< _Alloc, typename >
class | __gnu_cxx::__mt_alloc< _Tp, _Poolp >
class | __gnu_cxx::__pool_alloc< _Tp >
class | __gnu_cxx::_ExtPtr_allocator< _Tp >
class | std::allocator< _Tp >
class | std::allocator< void >
struct | std::allocator_traits< _Alloc >
class | __gnu_cxx::bitmap_allocator< _Tp >
class | __gnu_cxx::debug_allocator< _Alloc >
class | __gnu_cxx::malloc_allocator< _Tp >
class | __gnu_cxx::new_allocator< _Tp >
class | std::scoped_allocator_adaptor< _OuterAlloc, _InnerAllocs >
class | __gnu_cxx::throw_allocator_base< _Tp, _Cond >
struct | std::uses_allocator< typename, typename >

## Typedefs

template<typename _Tp >
using | std::__allocator_base = __gnu_cxx::new_allocator< _Tp >

## Functions

template<typename _T1 , typename _T2 >
constexpr bool | std::operator!= (const allocator< _T1 > &, const allocator< _T2 > &) noexcept
template<typename _OutA1 , typename _OutA2 , typename... _InA>
bool | operator!= (const scoped_allocator_adaptor< _OutA1, _InA... > &__a, const scoped_allocator_adaptor< _OutA2, _InA... > &__b) noexcept
template<typename _T1 , typename _T2 >
constexpr bool | std::operator== (const allocator< _T1 > &, const allocator< _T2 > &) noexcept
template<typename _OutA1 , typename _OutA2 , typename... _InA>
bool | operator== (const scoped_allocator_adaptor< _OutA1, _InA... > &__a, const scoped_allocator_adaptor< _OutA2, _InA... > &__b) noexcept

## Detailed Description

Classes encapsulating memory operations.

## Typedef Documentation

## __allocator_base

template<typename _Tp >

using std::__allocator_base = typedef __gnu_cxx::new_allocator<_Tp>

An alias to the base class for std::allocator.

Used to set the std::allocator base class to __gnu_cxx::new_allocator.

Template Parameters

  _Tp | Type of allocated object.

Definition at line 48 of file c++allocator.h.

## Function Documentation

## operator!=() [1/2]

template<typename _T1 , typename _T2 >

constexpr bool std::operator!= | ( | const allocator< _T1 > & | ,
|  | const allocator< _T2 > & |
| ) |  |

inline constexpr noexcept

Definition at line 225 of file allocator.h.

## operator!=() [2/2]

template<typename _OutA1 , typename _OutA2 , typename... _InA>

bool operator!= | ( | const scoped_allocator_adaptor< _OutA1, _InA... > & | __a,
|  | const scoped_allocator_adaptor< _OutA2, _InA... > & | __b
| ) |  |

related

Definition at line 510 of file scoped_allocator.

## operator==() [1/2]

template<typename _T1 , typename _T2 >

constexpr bool std::operator== | ( | const allocator< _T1 > & | ,
|  | const allocator< _T2 > & |
| ) |  |

inline constexpr noexcept

Definition at line 218 of file allocator.h.

## operator==() [2/2]

template<typename _OutA1 , typename _OutA2 , typename... _InA>

bool operator== | ( | const scoped_allocator_adaptor< _OutA1, _InA... > & | __a,
|  | const scoped_allocator_adaptor< _OutA2, _InA... > & | __b
| ) |  |

related

Definition at line 499 of file scoped_allocator.